{% extends 'admin/base.html.twig' %}

{% block title %}Hello AdminBookingController!{% endblock %}

{% block body %}

<div class="container-fluid">
<h1 class="my-5">gestion des regservations</h1>
<table class="table table-hover">
<thead>
<tr>
<th>id</th>
<th>date</th>
<th>visiteur</th>
<th>annonce</th>
<th>duree</th>
<th>amount</th>
<th></th>
</tr></thead>
<tbody>
{%for book in pagination.data%}
<tr>
<td>{{book.id}}</td>
<td>{{book.createdAt | date('d/m/Y H:i')}}</td>
<td><img src="../{{book.booker.picture}}" width=20px>{{book.booker.firstName}}</td>
<td>{{book.ad.title}}</td>
<td>{{book.getDuration()}}</td>
<td>{{book.amount}}</td>
<td><a href="{{path('admin_booking_edit',{'id':book.id})}}" class="btn btn-primary">edit</a>
<a href="{{path('admin_booking_delete',{'id':book.id})}}" class="btn btn-danger">delete</a>
</td>
</tr>
{%endfor%}
</tbody>
</table></div>

{{ pagination.display() }}
{% endblock %}
